Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.servlet.theme
Class AbstractThemeResolver

    java.lang.Object
      org.springframework.web.servlet.theme.AbstractThemeResolver

All Implemented Interfaces:
  ThemeResolver

Direct Known Subclasses:
  FixedThemeResolver, SessionThemeResolver

    public abstract class AbstractThemeResolver

extends java.lang.Object
implements ThemeResolver

Abstract base class for `ThemeResolver` implementations. Provides support for a default theme name.

Since:
  17.06.2003
Author:
  Juergen Hoeller, Jean-Pierre Pawlak

Field Summary
`static java.lang.String` | `ORIGINAL_DEFAULT_THEME_NAME` Out-of-the-box value for the default theme name: "theme".

Constructor Summary
`AbstractThemeResolver()`

Method Summary
`java.lang.String` | `getDefaultThemeName()` Return the name of the default theme.
`void` | `setDefaultThemeName(java.lang.String defaultThemeName)` Set the name of the default theme.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.springframework.web.servlet.ThemeResolver
`resolveThemeName, setThemeName`

Field Detail

### ORIGINAL_DEFAULT_THEME_NAME

    public static final java.lang.String ORIGINAL_DEFAULT_THEME_NAME

  Out-of-the-box value for the default theme name: "theme".

  See Also:
    Constant Field Values

Constructor Detail

### AbstractThemeResolver

    public AbstractThemeResolver()

Method Detail

### setDefaultThemeName

    public void setDefaultThemeName(java.lang.String defaultThemeName)

  Set the name of the default theme. Out-of-the-box value is "theme".

### getDefaultThemeName

    public java.lang.String getDefaultThemeName()

  Return the name of the default theme.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD